
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Used to switch a campaign's bidding strategy.
 *           
 * 
 * <p>Java class for BiddingTransition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BiddingTransition">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="targetBiddingStrategy" type="{https://adwords.google.com/api/adwords/cm/v201206}BiddingStrategy" minOccurs="0"/>
 *         &lt;element name="BiddingTransition.Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BiddingTransition", propOrder = {
    "targetBiddingStrategy",
    "biddingTransitionType"
})
@XmlSeeAlso({
    ConversionOptimizerBiddingTransition.class
})
public class BiddingTransition {

    protected BiddingStrategy targetBiddingStrategy;
    @XmlElement(name = "BiddingTransition.Type")
    protected String biddingTransitionType;

    /**
     * Gets the value of the targetBiddingStrategy property.
     * 
     * @return
     *     possible object is
     *     {@link BiddingStrategy }
     *     
     */
    public BiddingStrategy getTargetBiddingStrategy() {
        return targetBiddingStrategy;
    }

    /**
     * Sets the value of the targetBiddingStrategy property.
     * 
     * @param value
     *     allowed object is
     *     {@link BiddingStrategy }
     *     
     */
    public void setTargetBiddingStrategy(BiddingStrategy value) {
        this.targetBiddingStrategy = value;
    }

    /**
     * Gets the value of the biddingTransitionType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBiddingTransitionType() {
        return biddingTransitionType;
    }

    /**
     * Sets the value of the biddingTransitionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBiddingTransitionType(String value) {
        this.biddingTransitionType = value;
    }

}
