
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             An operation on an AdWords campaign.
 *             <p class="note"><b>Note:</b> The <code>REMOVE</code> operator is not
 *             supported. To remove a campaign, set its {@link Campaign#status status}
 *             to <code>DELETED</code>.</p>
 *           
 * 
 * <p>Java class for CampaignOperation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CampaignOperation">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}Operation">
 *       &lt;sequence>
 *         &lt;element name="biddingTransition" type="{https://adwords.google.com/api/adwords/cm/v201206}BiddingTransition" minOccurs="0"/>
 *         &lt;element name="operand" type="{https://adwords.google.com/api/adwords/cm/v201206}Campaign" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CampaignOperation", propOrder = {
    "biddingTransition",
    "operand"
})
public class CampaignOperation
    extends Operation
{

    protected BiddingTransition biddingTransition;
    protected Campaign operand;

    /**
     * Gets the value of the biddingTransition property.
     * 
     * @return
     *     possible object is
     *     {@link BiddingTransition }
     *     
     */
    public BiddingTransition getBiddingTransition() {
        return biddingTransition;
    }

    /**
     * Sets the value of the biddingTransition property.
     * 
     * @param value
     *     allowed object is
     *     {@link BiddingTransition }
     *     
     */
    public void setBiddingTransition(BiddingTransition value) {
        this.biddingTransition = value;
    }

    /**
     * Gets the value of the operand property.
     * 
     * @return
     *     possible object is
     *     {@link Campaign }
     *     
     */
    public Campaign getOperand() {
        return operand;
    }

    /**
     * Sets the value of the operand property.
     * 
     * @param value
     *     allowed object is
     *     {@link Campaign }
     *     
     */
    public void setOperand(Campaign value) {
        this.operand = value;
    }

}
