
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Error associated with creation of new entities using
 *             {@link com.google.ads.api.services.common.id.TempId}s.
 *           
 * 
 * <p>Java class for NewEntityCreationError complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NewEntityCreationError">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}ApiError">
 *       &lt;sequence>
 *         &lt;element name="reason" type="{https://adwords.google.com/api/adwords/cm/v201206}NewEntityCreationError.Reason" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NewEntityCreationError", propOrder = {
    "reason"
})
public class NewEntityCreationError
    extends ApiError
{

    protected NewEntityCreationErrorReason reason;

    /**
     * Gets the value of the reason property.
     * 
     * @return
     *     possible object is
     *     {@link NewEntityCreationErrorReason }
     *     
     */
    public NewEntityCreationErrorReason getReason() {
        return reason;
    }

    /**
     * Sets the value of the reason property.
     * 
     * @param value
     *     allowed object is
     *     {@link NewEntityCreationErrorReason }
     *     
     */
    public void setReason(NewEntityCreationErrorReason value) {
        this.reason = value;
    }

}
